Index: icedtea6-1.9.1/contrib/templater/hotspot/src/os_cpu/linux_CPU/vm/os_linux_CPU.cpp
===================================================================
--- icedtea6-1.9.1.orig/contrib/templater/hotspot/src/os_cpu/linux_CPU/vm/os_linux_CPU.cpp
+++ icedtea6-1.9.1/contrib/templater/hotspot/src/os_cpu/linux_CPU/vm/os_linux_CPU.cpp
@@ -200,6 +200,7 @@ size_t os::Linux::default_guard_size(os:
   return (thr_type == java_thread ? 0 : page_size());
 }
 
+/*
 // Java thread:
 //
 //   Low memory addresses
@@ -232,6 +233,7 @@ size_t os::Linux::default_guard_size(os:
 //
 // ** P1 (aka bottom) and size ( P2 = P1 - size) are the address and stack size returned from
 //    pthread_attr_getstack()
+*/
 
 static void current_stack_region(address* bottom, size_t* size) {
   if (os::Linux::is_initial_thread()) {
Index: icedtea6-1.9.1/openjdk/hotspot/src/cpu/x86/vm/frame_x86.hpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/cpu/x86/vm/frame_x86.hpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/cpu/x86/vm/frame_x86.hpp
@@ -22,6 +22,7 @@
  *
  */
 
+/*
 // A frame represents a physical stack frame (an activation).  Frames can be
 // C or Java frames, and the Java frames can be interpreted or compiled.
 // In contrast, vframes represent source-level activations, so that one physical frame
@@ -85,6 +86,7 @@
 // will truncate the unused space on succesive method calls.
 //
 // ------------------------------ C++ interpreter ----------------------------------------
+*/
 
  public:
   enum {
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/asm/codeBuffer.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/asm/codeBuffer.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/asm/codeBuffer.cpp
@@ -25,6 +25,7 @@
 # include "incls/_precompiled.incl"
 # include "incls/_codeBuffer.cpp.incl"
 
+/*
 // The structure of a CodeSection:
 //
 //    _start ->           +----------------+
@@ -71,6 +72,7 @@
 // When the code and relocations are copied to the code cache,
 // the empty parts of each section are removed, and everything
 // is copied into contiguous locations.
+*/
 
 typedef CodeBuffer::csize_t csize_t;  // file-local definition
 
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/ci/ciTypeFlow.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/ci/ciTypeFlow.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/ci/ciTypeFlow.cpp
@@ -2196,6 +2196,7 @@ bool ciTypeFlow::clone_loop_heads(Loop*
   return rslt;
 }
 
+/*
 // ------------------------------------------------------------------
 // ciTypeFlow::clone_loop_head
 //
@@ -2222,6 +2223,7 @@ bool ciTypeFlow::clone_loop_heads(Loop*
 //  v v
 // exit
 //
+*/
 ciTypeFlow::Block* ciTypeFlow::clone_loop_head(Loop* lp, StateVector* temp_vector, JsrSet* temp_set) {
   Block* head = lp->head();
   Block* tail = lp->tail();
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/code/compiledIC.hpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/code/compiledIC.hpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/code/compiledIC.hpp
@@ -22,6 +22,7 @@
  *
  */
 
+/*
 //-----------------------------------------------------------------------------
 // The CompiledIC represents a compiled inline cache.
 //
@@ -51,6 +52,7 @@
 // The class automatically inserts transition stubs (using the InlineCacheBuffer) when an MT-unsafe
 // transition is made to a stub.
 //
+*/
 class CompiledIC;
 
 class CompiledICInfo {
@@ -155,6 +157,7 @@ inline CompiledIC* CompiledIC_at(Relocat
 }
 
 
+/*
 //-----------------------------------------------------------------------------
 // The CompiledStaticCall represents a call to a static method in the compiled
 //
@@ -171,6 +174,7 @@ inline CompiledIC* CompiledIC_at(Relocat
 //  Interpreted code: Calls to stub that set methodOop reference
 //
 //
+*/
 class CompiledStaticCall;
 
 class StaticCallInfo {
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/oops/generateOopMap.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/oops/generateOopMap.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/oops/generateOopMap.cpp
@@ -22,6 +22,7 @@
  *
  */
 
+/*
 //
 //
 // Compute stack layouts for each instruction in method.
@@ -84,6 +85,7 @@
 //  returns to).
 //
 // (Note this comment is borrowed form the original author of the algorithm)
+*/
 
 #include "incls/_precompiled.incl"
 #include "incls/_generateOopMap.cpp.incl"
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/oops/klassVtable.hpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/oops/klassVtable.hpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/oops/klassVtable.hpp
@@ -227,6 +227,7 @@ class itableMethodEntry VALUE_OBJ_CLASS_
   friend class klassItable;
 };
 
+/*
 //
 // Format of an itable
 //
@@ -245,6 +246,7 @@ class itableMethodEntry VALUE_OBJ_CLASS_
 //    -- vtable for interface 2 ---
 //    ...
 //
+*/
 class klassItable : public ResourceObj {
  private:
   instanceKlassHandle  _klass;             // my klass
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/callnode.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/opto/callnode.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/callnode.cpp
@@ -1210,6 +1210,7 @@ Node *AllocateArrayNode::make_ideal_leng
 //=============================================================================
 uint LockNode::size_of() const { return sizeof(*this); }
 
+/*
 // Redundant lock elimination
 //
 // There are various patterns of locking where we release and
@@ -1331,6 +1332,7 @@ uint LockNode::size_of() const { return
 // expansion of the Lock and Unlock macro nodes to make the operation a NOP
 //
 //=============================================================================
+*/
 
 //
 // Utility function to skip over uninteresting control nodes.  Nodes skipped are:
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/graphKit.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/opto/graphKit.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/graphKit.cpp
@@ -1987,6 +1987,7 @@ Node* GraphKit::dstore_rounding(Node* n)
     : n;
 }
 
+/*
 //=============================================================================
 // Generate a fast path/slow path idiom.  Graph looks like:
 // [foo] indicates that 'foo' is a parameter
@@ -2021,6 +2022,7 @@ Node* GraphKit::dstore_rounding(Node* n)
 //=============================================================================
 // Code is structured as a series of driver functions all called 'do_XXX' that
 // call a set of helper functions.  Helper functions first, then drivers.
+*/
 
 //------------------------------null_check_oop---------------------------------
 // Null check oop.  Set null-path control into Region in slot 3.
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/idealKit.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/opto/idealKit.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/idealKit.cpp
@@ -52,11 +52,13 @@ IdealKit::IdealKit(PhaseGVN &gvn, Node*
   }
 }
 
+/*
 //-------------------------------if_then-------------------------------------
 // Create:  if(left relop right)
 //          /  \
 //   iffalse    iftrue
 // Push the iffalse cvstate onto the stack. The iftrue becomes the current cvstate.
+*/
 void IdealKit::if_then(Node* left, BoolTest::mask relop,
                        Node* right, float prob, float cnt, bool push_new_state) {
   assert((state() & (BlockS|LoopS|IfThenS|ElseS)), "bad state for new If");
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/loopopts.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/opto/loopopts.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/loopopts.cpp
@@ -1586,6 +1586,7 @@ Node* PhaseIdealLoop::short_circuit_if(I
   return con;
 }
 
+/*
 //------------------------------ insert_if_before_proj -------------------------------------
 // Insert a new if before an if projection (* - new node)
 //
@@ -1608,6 +1609,7 @@ Node* PhaseIdealLoop::short_circuit_if(I
 //         * new-proj  proj
 //         (returned)
 //
+*/
 ProjNode* PhaseIdealLoop::insert_if_before_proj(Node* left, bool Signed, BoolTest::mask relop, Node* right, ProjNode* proj) {
   IfNode* iff = proj->in(0)->as_If();
   IdealLoopTree *loop = get_loop(proj);
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/output.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/opto/output.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/output.cpp
@@ -2683,6 +2683,7 @@ void Scheduling::ComputeRegisterAntidepe
 
 //------------------------------garbage_collect_pinch_nodes-------------------------------
 
+/*
 // Garbage collect pinch nodes for reuse by other blocks.
 //
 // The block scheduler's insertion of anti-dependence
@@ -2707,6 +2708,7 @@ void Scheduling::ComputeRegisterAntidepe
 // wired into the graph because the register is never
 // used or def'ed in the block.
 //
+*/
 void Scheduling::garbage_collect_pinch_nodes() {
 #ifndef PRODUCT
     if (_cfg->C->trace_opto_output()) tty->print("Reclaimed pinch nodes:");
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/prims/unsafe.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/prims/unsafe.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/prims/unsafe.cpp
@@ -37,6 +37,7 @@
 #define UNSAFE_ENTRY(result_type, header) \
   JVM_ENTRY(result_type, header)
 
+/*
 // Can't use UNSAFE_LEAF because it has the signature of a straight
 // call into the runtime (just like JVM_LEAF, funny that) but it's
 // called like a Java Native and thus the wrapper built for it passes
@@ -47,6 +48,7 @@
 // wrapper and we get sick.
 //#define UNSAFE_LEAF(result_type, header) \
 //  JVM_LEAF(result_type, header)
+*/
 
 #define UNSAFE_END JVM_END
 
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/adlc/dfa.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/adlc/dfa.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/adlc/dfa.cpp
@@ -383,14 +383,14 @@ void ArchDesc::buildDFA(FILE* fp) {
   _attributes.output(fp);
   fprintf(fp, "\n");
   fprintf(fp, "//------------------------- Macros -----------------------------------------\n");
-  // #define DFA_PRODUCTION(result, rule, cost)\
-  //   _cost[ (result) ] = cost; _rule[ (result) ] = rule;
+/*  // #define DFA_PRODUCTION(result, rule, cost)\
+  //   _cost[ (result) ] = cost; _rule[ (result) ] = rule; */
   fprintf(fp, "#define %s(result, rule, cost)\\\n", dfa_production);
   fprintf(fp, "  _cost[ (result) ] = cost; _rule[ (result) ] = rule;\n");
   fprintf(fp, "\n");
 
-  // #define DFA_PRODUCTION__SET_VALID(result, rule, cost)\
-  //     DFA_PRODUCTION( (result), (rule), (cost) ); STATE__SET_VALID( (result) );
+/*  // #define DFA_PRODUCTION__SET_VALID(result, rule, cost)\
+  //     DFA_PRODUCTION( (result), (rule), (cost) ); STATE__SET_VALID( (result) );*/
   fprintf(fp, "#define %s(result, rule, cost)\\\n", dfa_production_set_valid);
   fprintf(fp, "  %s( (result), (rule), (cost) ); STATE__SET_VALID( (result) );\n", dfa_production);
   fprintf(fp, "\n");
